/***********************************************************************
 * Copyright (c)  2017 - 2020, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : pwm.h
 * Description : pwm header file
 * Author(s)   : wanyi
 * version     : V1.0
 * Modify date : 2021-02-26
 ***********************************************************************/
#ifndef __PWM_H__
#define __PWM_H__

#include "um800x.h"

#define  HIGH   1
#define  LOW    0

void pwm0_init(uint32_t freq, uint8_t duty, uint8_t level);
void pwm1_init(uint32_t freq, uint8_t duty, uint8_t level);
void pwm2_init(uint32_t freq, uint8_t duty, uint8_t level);

void pwm0_start();
void pwm0_stop(); 
void pwm1_start();
void pwm1_stop(); 
void pwm2_start();
void pwm2_stop(); 

#endif